local coroutineEntity = monocle.Entity()

local vector2 = require("#microsoft.xna.framework.vector2")

function onBegin(room)
  disableMovement()
  player.ForceCameraUpdate = false
  wait(2.5)
  say("donkFeather2026_IntroDialog")
  wait(0.15)
  playSound("event:/char/theo/resort_vent_tumble")
  setFlag("donk_IntroCrispyFall", True)
  wait(0.8)
  playSound("event:/game/03_resort/fallblock_wood_impact")
  wait(0.2)
  say("donkFeather2026_IntroBowser")
  wait(0.3)
  setFlag("donkFeather2026_Leaves", True)
  wait(0.5)
  setFlag("donkFeather2026_Scurry", True)
  wait(0.5)
  setFlag("donkFeather2026_LeavesCover", False)
  wait(0.25)
  say("donkFeather2026_IntroDialogB")
  wait(1)
  setFlag("donkFeather2026_TPAway", True)
  enableMovement()
end

function onEnd(room, wasSkipped)
  enableMovement()
  player.DummyAutoAnimate = true
  player.ForceCameraUpdate = true
  setFlag("donkFeather2026_TPAway", True)
  getLevel():ResetZoom()
  enableMovement()
    if wasSkipped then
    player.DummyAutoAnimate = true
    player.ForceCameraUpdate = true
    setFlag("donkFeather2026_TPAway", True)
    getLevel():ResetZoom()
    enableMovement()
    end
end